<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2015 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');
$open = !$links ? 'target="_blank"' : ''; ?>

<!-- Start: Load stylesheet -->
<?php $doc = JFactory::getDocument(); ?>
<?php $doc->addStyleSheet(JURI::root(true).
'/components/com_rseventspro/assets/css/customeventstyle.css?v='.RSEPRO_RS_REVISION); ?>
<!-- End: Load stylesheet -->

<div class="rsepro_upcoming<?php echo $suffix; ?>">
<hr>
	<?php foreach ($events as $eventid) { ?>
	<?php $details = rseventsproHelper::details($eventid->id); ?>
	<?php $image = !empty($details['image_s']) ? $details['image_s'] : JURI::root().'components/com_rseventspro/assets/images/blank.png'; ?>
	
	<?php if (isset($details['event']) && !empty($details['event'])) $event = $details['event']; else continue; ?>
	
		<div class="row-fluid">
			<div class="span7" style="margin-top:-15px;">
			<!-- Start: date circle -->
				<div class="circle">
				<br>
				<p align="center" style="font-size:26px">
				<?php echo rseventsproHelper::date($event->start,'jS',true); ?>
				</p>
				<p align="center" style="font-size:18px">
				<?php echo rseventsproHelper::date($event->start,'F',true); ?>
				</p>
				<p align="center" style="font-size:20px">
				<?php echo rseventsproHelper::date($event->start,'Y',true); ?>
				</p>
				</div>
			<!-- End: date circle -->
			<!-- Start: event picture and link -->
			</div>
			<div class="span5">
				<a <?php echo $open; ?> href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&layout=show&id='.rseventsproHelper::sef($event->id,$event->name),true,$itemid); ?>">
				<img class="img-polaroid" src="<?php echo $image; ?>" alt="" width="70" />
				<?php echo $event->name; ?></a>
			</div>
			<!-- End: event picture and link -->
		</div>
		<div class="row-fluid"  style="margin-top: 5px;">
		<!-- Start: event registration ends -->
			<div class="span12" style="margin-left:5px;">
				<small><i class="icon-ban-circle"></i>Registration ends:<br> (<?php echo $event->allday ? rseventsproHelper::date($event->end_registration,rseventsproHelper::getConfig('global_date'),true) : rseventsproHelper::date($event->end_registration,null,true); ?>)</small>
			</div>
		<!-- End: event registration ends -->
		<!-- Start: available event tickets -->
			<?php if($details['tickets']){ ?>
			<div class="span12">
					<?php $details['tickets'] = str_replace(array('<h3>','</h3>'),array('',':'),$details['tickets']); ?>
					<small><i class="icon-tag"></i><?php echo $details['tickets']; ?></small>
			</div>		
			<?php } ?>
		<!-- End: available event tickets -->
		</div><hr>
	<?php } ?>
</div>